summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-06-15 19:09:28 +0000
committerJustin Lecher <jlec@gentoo.org>2015-06-15 19:09:28 +0000
commit3cef2b68cabac2f103799ca11fe28972657648d6 (patch)
treec8ea2341d54d585436d1ad7d740047b42ab0fdef /eclass
parentUpdating remote-id in metadata.xml (diff)
downloadgentoo-2-3cef2b68cabac2f103799ca11fe28972657648d6.tar.gz
gentoo-2-3cef2b68cabac2f103799ca11fe28972657648d6.tar.bz2
gentoo-2-3cef2b68cabac2f103799ca11fe28972657648d6.zip
Don't install uninstall informations, bug 551638; make use of path_exists()
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/intel-sdp.eclass16
2 files changed, 15 insertions, 6 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 37d950e16582..468342609f72 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1663 2015/06/15 14:04:44 kensington Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1664 2015/06/15 19:09:28 jlec Exp $
+
+ 15 Jun 2015; Justin Lecher <jlec@gentoo.org> intel-sdp.eclass:
+ Don't install uninstall informations, bug 551638; make use of path_exists()
15 Jun 2015; Michael Palimaka <kensington@gentoo.org> kde4-base.eclass:
Fix SRC_URI for 4.14.3
diff --git a/eclass/intel-sdp.eclass b/eclass/intel-sdp.eclass
index b6b54b2caf12..439370e8d7c9 100644
--- a/eclass/intel-sdp.eclass
+++ b/eclass/intel-sdp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/intel-sdp.eclass,v 1.21 2015/06/04 10:36:27 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/intel-sdp.eclass,v 1.22 2015/06/15 19:09:28 jlec Exp $
# @ECLASS: intel-sdp.eclass
# @MAINTAINER:
@@ -416,7 +416,13 @@ intel-sdp_src_unpack() {
# @DESCRIPTION:
# Install everything
intel-sdp_src_install() {
- if [[ -d "${INTEL_SDP_DIR}"/Documentation ]]; then
+ if path_exists "${INTEL_SDP_DIR}"/uninstall*; then
+ ebegin "Cleaning out uninstall information"
+ find "${INTEL_SDP_DIR}"/uninstall* -delete || die
+ eend
+ fi
+
+ if path_exists "${INTEL_SDP_DIR}"/Documentation; then
dodoc -r "${INTEL_SDP_DIR}"/Documentation/*
ebegin "Cleaning out documentation"
@@ -424,7 +430,7 @@ intel-sdp_src_install() {
eend
fi
- if [[ -d "${INTEL_SDP_DIR}"/Samples ]]; then
+ if path_exists "${INTEL_SDP_DIR}"/Samples; then
if use examples ; then
insinto /usr/share/${P}/examples/
doins -r "${INTEL_SDP_DIR}"/Samples/*
@@ -434,7 +440,7 @@ intel-sdp_src_install() {
eend
fi
- if [[ -d "${INTEL_SDP_DIR}"/eclipse_support ]]; then
+ if path_exists "${INTEL_SDP_DIR}"/eclipse_support; then
if has eclipse ${IUSE} && use eclipse; then
_isdp_link_eclipse_plugins
else
@@ -444,7 +450,7 @@ intel-sdp_src_install() {
fi
fi
- if [[ -d "${INTEL_SDP_DIR}"/man ]]; then
+ if path_exists "${INTEL_SDP_DIR}"/man; then
path_exists "${INTEL_SDP_DIR}"/man/en_US/man1/* && \
doman "${INTEL_SDP_DIR}"/man/en_US/man1/*
path_exists "${INTEL_SDP_DIR}"/man/man1/* && \